Subject: Re: [PATCH] drivers: connector: cn_proc: allow limiting certain messages

From: "Daniel Walker (danielwa)" <[email-masked]>
Date: Tue, 18 Feb 2020 16:55:03 +0000

On Tue, Feb 18, 2020 at 07:46:12PM +0300, Evgeniy Polyakov wrote:
> 18.02.2020, 19:30, "Daniel Walker (danielwa)" <[email-masked]>:
> 
> > It's multicast and essentially broadcast messages .. So everyone gets every
> > message, and once it's on it's likely it won't be turned off. Given that, It seems
> > appropriate that the system administrator has control of what messages if any
> > are sent, and it should effect all listening for messages.
> >
> > I think I would agree with you if this was unicast, and each listener could tailor
> > what messages they want to get. However, this interface isn't that, and it would
> > be considerable work to convert to that.
> 
> Connector has message/channel ids, you can implement this rate limiting scheme per user/socket.

I don't think I know enough about netlink to do this, but looking at it prior to
sending this patch it looked like a fair amount of work.

> This is probably not required if given cn_proc usecase - is it some central authority
> which needs or doesn't need some messages? If so, it can not be bad to have a central switch.
> 
> But I also heard that container management tools are using this, in this case disabling some
> things globally will suddenly break them.

Cisco currently doesn't use this interface at all, the reason is that it's too
noisy and we get too many wake-ups. If we did use this interface there would be
one listener. I would think most embedded use cases would have one listener.

Do you know which container management tools are using this ?

Daniel